# Generated by Django 3.0.2 on 2020-02-28 00:27

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('inv', '0004_measure'),
    ]

    operations = [
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(default=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('update', models.DateTimeField(auto_now=True)),
                ('user_update', models.IntegerField(blank=True, null=True)),
                ('code', models.CharField(max_length=16, unique=True)),
                ('bar_code', models.CharField(max_length=16)),
                ('description', models.CharField(max_length=128)),
                ('price', models.FloatField(default=0)),
                ('stock', models.IntegerField(default=0)),
                ('last_buy', models.DateField(blank=True, null=True)),
                ('brand', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='inv.Brand')),
                ('measure', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='inv.Measure')),
                ('subcategory', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='inv.SubCategory')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Products',
                'unique_together': {('code', 'bar_code')},
            },
        ),
    ]
